<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:25 GMT 2019 -->
<title>Uses of Class board.Property</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class board.Property";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../board/Property.html" title="class in board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?board/class-use/Property.html" target="_top">Frames</a></li>
<li><a href="Property.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class board.Property" class="title">Uses of Class<br>board.Property</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../board/Property.html" title="class in board">Property</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#board">board</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#player">player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="board">
<!--   -->
</a>
<h3>Uses of <a href="../../board/Property.html" title="class in board">Property</a> in <a href="../../board/package-summary.html">board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../board/package-summary.html">board</a> that return types with arguments of type <a href="../../board/Property.html" title="class in board">Property</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../board/Board.html#getPropertySet-board.Colour-">getPropertySet</a></span>(<a href="../../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour)</code>
<div class="block">Returns the set of properties belonging to a colour group</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../board/package-summary.html">board</a> with type arguments of type <a href="../../board/Property.html" title="class in board">Property</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Property.</span><code><span class="memberNameLink"><a href="../../board/Property.html#checkSetOwned-java.util.ArrayList-">checkSetOwned</a></span>(java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;&nbsp;Set)</code>
<div class="block">Checks how many properties you own (and subtracts the ones that are mortgaged)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Property.</span><code><span class="memberNameLink"><a href="../../board/Property.html#checkWholeSetOwned-java.util.ArrayList-int-">checkWholeSetOwned</a></span>(java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;&nbsp;Set,
                  int&nbsp;numberOwned)</code>
<div class="block">Returns true if the player also owns the other properties in the set
 *Test this*</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="player">
<!--   -->
</a>
<h3>Uses of <a href="../../board/Property.html" title="class in board">Property</a> in <a href="../../player/package-summary.html">player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../player/package-summary.html">player</a> with parameters of type <a href="../../board/Property.html" title="class in board">Property</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#maxDiffIfSold-java.util.ArrayList-board.Property-">maxDiffIfSold</a></span>(java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
             <a href="../../board/Property.html" title="class in board">Property</a>&nbsp;property)</code>
<div class="block">Max difference check for selling houses/hotels</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#maxdiffs-java.util.ArrayList-board.Property-">maxdiffs</a></span>(java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
        <a href="../../board/Property.html" title="class in board">Property</a>&nbsp;property)</code>
<div class="block">Max difference check for buying houses/hotels</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../player/package-summary.html">player</a> with type arguments of type <a href="../../board/Property.html" title="class in board">Property</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#maxDiffIfSold-java.util.ArrayList-board.Property-">maxDiffIfSold</a></span>(java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
             <a href="../../board/Property.html" title="class in board">Property</a>&nbsp;property)</code>
<div class="block">Max difference check for selling houses/hotels</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Bank.</span><code><span class="memberNameLink"><a href="../../player/Bank.html#maxdiffs-java.util.ArrayList-board.Property-">maxdiffs</a></span>(java.util.ArrayList&lt;<a href="../../board/Property.html" title="class in board">Property</a>&gt;&nbsp;set,
        <a href="../../board/Property.html" title="class in board">Property</a>&nbsp;property)</code>
<div class="block">Max difference check for buying houses/hotels</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../board/Property.html" title="class in board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?board/class-use/Property.html" target="_top">Frames</a></li>
<li><a href="Property.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
